Bug 1010538 - Useless "Couldn't find support for device" warning in the log
Useless "Couldn't find support for device" warning in the log
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 05:40 EDT by orti1980
Modified: 2016-04-08 13:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: ModemManager-1.4.14-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-05 09:51:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Hardware info screenshot (314.15 KB, image/png)
2013-09-21 05:41 EDT, orti1980
no flags Details

  None (edit)
Description orti1980 2013-09-21 05:40:30 EDT
Sep 21 11:00:53 localhost ModemManager[494]: <warn>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:15.1/0000:08:00.0': not supported by any plugin
Sep 21 11:00:53 localhost ModemManager[494]: <warn>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:15.2/0000:09:00.0': not supported by any plugin





08:00.0 Ethernet controller: Broadcom Corporation NetLink BCM57781 Gigabit Ethernet PCIe (rev 10)
09:00.0 Ethernet controller: Broadcom Corporation NetLink BCM57781 Gigabit Ethernet PCIe (rev 10)
Comment 1 orti1980 2013-09-21 05:41:28 EDT
Created attachment 800880 [details]
Hardware info screenshot
Comment 2 Dan Williams 2013-10-08 13:19:08 EDT
The warning message should probably be suppressed for ethernet interfaces, though many modems provide an ethernet interface too.
Comment 3 Orion Poplawski 2014-09-30 12:40:53 EDT
I also see it for this:

Sep 29 07:10:33 barry ModemManager[568]: <warn>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:1c.5/0000:05:00.0': not supported by any plugin

00:1c.5 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 6
Comment 4 Al Dunsmuir 2014-10-27 09:50:31 EDT
Dan,

I ran into this on ppc64 F21 Alpha, on a G5 mac (USB only, no discrete serial ports).  ModemManager appeared to start to loop, preventing completion of the boot process.  This is ModemManager-1.4.0-1.fc21, same as F21 primary.

I opened https://bugzilla.redhat.com/show_bug.cgi?id=1151853, and proposed it
as a F21 ppc64 alpha blocker. Dan Horák moved it to ppc64 GA blocker list.

The S390 Rawhide compose started at Mon Oct 27 08:10:03 UTC 2014 had the following update.   

- Initially I thought that it sounded like a good candidate to cherry-pick for
  F21 PPC final (or beta, depending on timing and whether primary arch will
  accept this as a freeze exemption).  

- I just noticed that it is actually a lower version than on F21.  If F21 has 
  a higher NVR, it seems like 1.3.0 and 1.4.0 still have issues with USB modem
  device recognition.  Any thoughts?

Thanks,
Al

ModemManager-1.3.0-1.fc22
-------------------------
* Tue Aug 05 2014 Dan Williams <dcbw@redhat.com> - 1.3.0-1
- Update to git development snapshot
- Add IPv6 support for many devices
- Updated blacklist for non-modem USB devices
- Support for more MBIM devices from various manufacturers
- Support for more Huawei devices with network ports
- Add new "unmanaged" GPS location mode
- Many bug fixes for various modems
Comment 5 Jaroslav Reznik 2015-03-03 10:05:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Fedora Admin XMLRPC Client 2015-08-18 10:54:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Lubomir Rintel 2016-03-31 08:40:39 EDT
This was changed from warning into an info message in 1.4.8
Comment 8 Fedora Update System 2016-03-31 08:59:45 EDT
ModemManager-1.4.14-1.fc23 libmbim-1.12.4-2.fc23 libqmi-1.12.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbba3bf922
Comment 9 Fedora Update System 2016-04-01 11:23:46 EDT
ModemManager-1.4.14-1.fc23, libmbim-1.12.4-2.fc23, libqmi-1.12.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbba3bf922
Comment 10 Fedora Update System 2016-04-05 09:51:23 EDT
ModemManager-1.4.14-1.fc23, libmbim-1.12.4-2.fc23, libqmi-1.12.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-04-05 12:19:14 EDT
ModemManager-1.4.14-1.fc23, libmbim-1.12.4-2.fc23, libqmi-1.12.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Dominique Brazziel 2016-04-08 13:11:07 EDT
Hello!  I am still getting these messages after upgrading to 1.4.14-1.fc23.
Specifically, for the two interfaces I have, a Belkin N600 dual band USB modem
and what appears to be the on-board ethernet adapter:

ModemManager[29098]: <info>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-7': not supported by any plugin
ModemManager[29098]: <info>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:1e.0/0000:03:08.0': not supported by any plugin

Bus 001 Device 005: ID 050d:110a Belkin Components F9L1101v2 802.11abgn Wireless Adapter [Realtek RTL8192DU]

03:08.0 Ethernet controller: Intel Corporation NM10/ICH7 Family LAN Controller (rev 01)

Note You need to log in before you can comment on or make changes to this bug.